(use-modules
  (gnu)
  (gnu packages)
  (gnu system nss))
(use-service-modules desktop networking ssh xorg)
(use-package-modules shells)

(operating-system
  (host-name "guix")
  (timezone "America/Toronto")
  (locale "en_US.utf8")
  (keyboard-layout (keyboard-layout "us"))

  (bootloader
    (bootloader-configuration
      (bootloader grub-bootloader)
      (target "/dev/sda")
      (keyboard-layout keyboard-layout)))

  (initrd-modules
    (append '("virtio_scsi") %base-initrd-modules))

  (swap-devices (list "/dev/sda2"))

  (file-systems
    (cons* (file-system
             (mount-point "/")
             (device
               (uuid "f354b908-fd6f-46c9-931b-2bebaac61b56"
                     'ext4))
             (type "ext4"))
           %base-file-systems))

  (users (cons (user-account
                (name "collin")
                (comment "Master User")
                (group "users")
	        (shell #~(string-append #$zsh "/bin/zsh"))
                (supplementary-groups
                  '("wheel" "netdev" "audio" "video"))
                (home-directory "/home/collin"))
               %base-user-accounts))

  ;; "ratpoison" "xmonad" "ghc-xmonad-contrib" "xmobar" "dmenu"
  (packages
    (append
      (map specification->package
        '("xterm"
          "nss-certs"
          "recutils"
          "openssh"
          "stumpwm"
          "emacs-exwm"
          "rofi"
          "xsetroot"
          "xrandr"
          "recutils"
          "tmux"
          "emacs"
          "emacs-guix"
          "graphviz"
          "xterm"))
      %base-packages))

  (services
    (append
      (list (service openssh-service-type)
            (set-xorg-configuration
              (xorg-configuration
                (keyboard-layout keyboard-layout))))
      %desktop-services))

  ;; Allow resolution of '.local' host names with mDNS.
  (name-service-switch %mdns-host-lookup-nss))