;; This is an operating system configuration template
;; for a "bare bones" setup, with no X11 display server.

(use-modules (gnu))
(use-service-modules networking ssh)
(use-package-modules python)

(operating-system
  (host-name "antelope")
  (timezone "America/Toronto")
  (locale "en_US.utf8")

  ;; Boot in "legacy" BIOS mode, assuming /dev/sdX is the
  ;; target hard disk, and "my-root" is the label of the target
  ;; root file system.
  (bootloader (bootloader-configuration
                (bootloader grub-bootloader)
                (target "/dev/sdX")))

  (file-systems (cons* (file-system
                         (device (file-system-label "root"))
                         (mount-point "/")
                         (type "ext4"))
                       %container-file-systems))

  ;; This is where user accounts are specified.  The "root"
  ;; account is implicit, and is initially created with the
  ;; empty password.
  (users (cons (user-account
                (name "python")
                (comment "Python application user")
                (group "users")
;;                (supplementary-groups '(""))
                (home-directory "/home/python"))
               %base-user-accounts))

  ;; Globally-installed packages.
  (packages (cons python-wrapper
                  %base-packages))

  ;; Add services to the baseline: a DHCP client
  (services (append (list (service dhcp-client-service-type))
                    %base-services)))
